Vizitown

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables
Public Member Functions | Public Attributes | List of all members
vizitown_plugin.vt_as_provider_manager.ProviderManager Class Reference

Provider manager Singleton which contains several provider. More...

Collaboration diagram for vizitown_plugin.vt_as_provider_manager.ProviderManager:

## Public Member Functions
def | __init__
| Constructor. More...
def | add_vector_provider
| add_vector_provider method Add a vector provider to the manager More...
def | request_tile
| request_tile method Request a tile for all his providers More...
def | clear
| clear method clean all field of the provider to the manager More...
def | add_rasters
| add_rasters method Add a raster in demProvider or in textureProvider to the manager More...
def | get_all_vectors
| get_all_vectors method Access to all vector in the provider More...

## Public Attributes
| vectors
| dem
| texture

## Detailed Description

Provider manager Singleton which contains several provider.

## Constructor & Destructor Documentation

def vizitown_plugin.vt_as_provider_manager.ProviderManager.__init__ | ( |  | self) |  |

Constructor.

## Member Function Documentation

def vizitown_plugin.vt_as_provider_manager.ProviderManager.add_rasters | ( |  | self,
|  |  | demProvider = `None`,
|  |  | textureProvider = `None`
| ) |  |

add_rasters method Add a raster in demProvider or in textureProvider to the manager

Parameters

  demProvider |
  textureProvider |

def vizitown_plugin.vt_as_provider_manager.ProviderManager.add_vector_provider | ( |  | self,
|  |  | p
| ) |  |

add_vector_provider method Add a vector provider to the manager

Parameters

  p | the provider to add

def vizitown_plugin.vt_as_provider_manager.ProviderManager.clear | ( |  | self) |  |

clear method clean all field of the provider to the manager

def vizitown_plugin.vt_as_provider_manager.ProviderManager.get_all_vectors | ( |  | self) |  |

get_all_vectors method Access to all vector in the provider

Returns
  a list with the vectors uuid and name

def vizitown_plugin.vt_as_provider_manager.ProviderManager.request_tile | ( |  | self,
|  |  | Xmin,
|  |  | Ymin,
|  |  | Xmax,
|  |  | Ymax,
|  |  | uuid = `None`
| ) |  |

request_tile method Request a tile for all his providers

Parameters

  Xmin |
  Ymin |
  Xmax |
  Ymax |
  uuid |

Returns
  the tile

## Member Data Documentation

vizitown_plugin.vt_as_provider_manager.ProviderManager.dem

vizitown_plugin.vt_as_provider_manager.ProviderManager.texture

vizitown_plugin.vt_as_provider_manager.ProviderManager.vectors

The documentation for this class was generated from the following file:

- vt_as_provider_manager.py